version: '2'
services:
  meetshow-app:
    image: meetshow
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:postgresql://meetshow-postgresql:5432/meetShow
      - JHIPSTER_SLEEP=10 # gives time for the database to boot before the application
    ports:
      - 8080:8080
  meetshow-postgresql:
    extends:
      file: postgresql.yml
      service: meetshow-postgresql
